GET
/
location
/
profile
cURL
curl --request GET \
  --url https://api.gmbapi.com/external-api/gmb/location/profile \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "payload": {}
}
This endpoint retrieves a single location by location_id. If account_id is omitted, the authenticated account ID is used. Use include_fields to return a comma-separated string of Location object field names.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

location_id
string
required

Location ID to retrieve.

account_id
string

Account ID. If omitted, the authenticated account ID is used.

include_fields
string

Comma-separated string of field names to return.

Response

Location response

success
boolean
Example:

true

payload
object